Ubuntu és a php5-fpm frissítése

Internal Server Error

A mai napon az Ubuntu maintainerek frissítették a php5-fpm csomagot. A frissítés valamennyi támogatott szerververziót érinti, azaz 10.04-től 14.04-ig valamennyi Ubuntu szerver érintett. Csak egy nagyon apró javításról van szó, de mégis érdemes most kicsit jobban odafigyelni a frissítésre. A rutinszerű “apt-get dist-upgrade” után a PHP5 alapú lapok helyén könnyen 500/502 hibaoldalak jelenhetnek meg.

“Ubuntu és a php5-fpm frissítése” bővebben

Megjelent a PHP 5.5.1

PHP

A mai napon kiadták a PHP 5.5 ágának első frissítését, amely az 5.5.1 verziószámot kapta. 20 hibát küszöböltek ki ebben a kiadásban, amelyek között több vezet adott körülmények között “segmentation fault” eredményhez. Már-már természetesnek vesszük, hogy az első kiadásban (5.5.0) biztonsági hibát is orvosolni kell, pedig nem az.

Csodálatos, hogy a legtöbb fejlesztő a mai napig képtelen normálisan kezelni a memóriafoglalásokat és felszabadításokat. Ebben a PHP fejlesztők is élen járnak. Jó is az, ha valamilyen toplistára még fel tud kapaszkodni egy opensource projekt.

“Megjelent a PHP 5.5.1” bővebben

Itt a vége a PHP 5.3 ágának

PHP

Ma megjelent az utolsó frissítés a PHP 5.3 ágához, amely az 5.3.27 verziószámot viseli. 10 kisebb-nagyobb hibát javítottak fejlesztők, ezek között egy nemrégiben felfedezett, jelentősebb biztonsági rés is volt. Az óra tehát ketyeg, a nemtörődöm rendszergazdák számára legfeljebb egy-egy fizetős Linux disztribúció szakemberei által backportolt bugfixek adhatnak reményt.

Nem hiszem, hogy sok szerveren lenne még 5.3, legfeljebb néhány rendszergazda-csökevény húzta idáig az átállást az 5.4 vonalra.
“Itt a vége a PHP 5.3 ágának” bővebben